Subject: 24.4; Ubuntu upon exit from EDIFF mode keyboard no longer functions

From: <[email-masked]>
Date: Sun, 22 Mar 2015 21:54:24 -0700

When does this occur:
    Upon exit from EDIFF mode (press the letter q in the EDIFF window)
    Ediff requests (in the main window) to confirm, I confirm
    The EDIFF window closes and the problem occurs.

What is observed:
    The emacs window no longer accepts keyboard input
    All other windows - etc work 100% perfect no problem.

To exit Emacs
    I must use the mouse and GUI window
    I can use the mouse and switch buffers and copy/paste things
    However *no* keyboard input works any more to any emacs window.
    Example: If I create a second frame on the same display - both
frames do not work.

How easy is to to reproduce: Super easy, 100% of the time
Repeatable when starting like this: "emacs -Q"

Message window shows:
  For information about GNU Emacs and the GNU system, type C-h C-a.
  Quit [3 times]
  Reading file /home/duanee/dog ... 
  Reading file /home/duanee/cat ... 
  cat has auto save data; consider M-x recover-this-file
  Computing differences between dog and cat ...
  Buffer A: Processing difference region 0 of 1
  Buffer B: Processing difference region 0 of 1
  Processing difference regions ... done
  Refining difference region 1 ...
  Quit this Ediff session? (y or n) y

EDIFF Registry window shows:
   ******* No active Ediff sessions *******

Below is output from M-x report-emacs-bug
it is *NOT* from the session that has the failure
I am not able use the "report-bug" feature because the keyboard does not
work :-(

-------------------------------------

In GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.23)
 of 2014-11-07 on ubuntu
Windowing system distributor `The X.Org Foundation', version
11.0.11501000
System Description:    Ubuntu 14.04.2 LTS

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <down-mouse-1>
<mouse-1> M-x e m a c s <C-backspace> r e p o r t -
e <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils advice help-fns time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 74077 7393)
 (symbols 48 17627 0)
 (miscs 40 86 113)
 (strings 32 9558 4516)
 (string-bytes 1 262289)
 (vectors 16 9190)
 (vector-slots 8 384264 15137)
 (floats 8 63 102)
 (intervals 56 206 19)
 (buffers 960 12)
 (heap 1024 37550 831))